      *   COPYRIGHT International Business Machines Corp. 1997    
      *   All Rights Reserved                                                
      *   Licensed Materials - Property of IBM                               
      *                                                                      
      *   US Government Users Restricted Rights - Use, duplication or        
      *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  

      *****************************************************************
      * VERSION:     1.0                                              *
      * AUTHOR:      JIM MACNAIR                                      *
      *                                                               *
      *    SIMPLE PROGRAM TO CAPTURE COMMAREA IMAGES INTO TEMPORARY   *
      *     STORAGE, MOSTLY FOR DEBUGGING PURPOSES.                   *
      *                                                               *
      *****************************************************************

       IDENTIFICATION DIVISION.
       PROGRAM-ID. CAPTURE.
       ENVIRONMENT DIVISION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       77  COMLEN       PIC S9(4) COMP.

       LINKAGE SECTION.
       01  DFHCOMMAREA.
           02 FILLER PIC X(32500).

       PROCEDURE DIVISION.

           IF EIBCALEN IS GREATER THAN ZERO THEN
               EXEC CICS WRITEQ TS QUEUE("COMMAREA")
                   FROM(DFHCOMMAREA) LENGTH(EIBCALEN)
               END-EXEC
           END-IF

           EXEC CICS RETURN END-EXEC.
           GOBACK.
